package com.example.programs;

import java.util.Objects;

public class Employee {
	
	private int id;
	private String name;
	private double Salary;
	private String Dept;
	
	public Employee(int id, String name, double salary, String dept) {
		this.id = id;
		this.name = name;
		Salary = salary;
		Dept = dept;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public double getSalary() {
		return Salary;
	}

	public void setSalary(double salary) {
		Salary = salary;
	}

	public String getDept() {
		return Dept;
	}

	public void setDept(String dept) {
		Dept = dept;
	}

	@Override
	public String toString() {
		return "Employee [id=" + id + ", name=" + name + ", Salary=" + Salary + ", Dept=" + Dept + "]";
	}

	@Override
	public int hashCode() {
		return Objects.hash(Dept, Salary, id, name);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Employee other = (Employee) obj;
		return Objects.equals(Dept, other.Dept)
				&& Double.doubleToLongBits(Salary) == Double.doubleToLongBits(other.Salary) && id == other.id
				&& Objects.equals(name, other.name);
	}
	
	

}
